[Date Prev][Date Next] [Chronological] [Thread] [Top]

error compiling openldap 2.2.8 on Solaris 8 using gcc 3.3

We are trying to build openldap 2.2.8 on Solaris 2.8 using gcc 3.3 and gdbm
1.8.3. During the configuration step, we got the following error message:

>setenv CC "gcc"
>setenv CFLAGS "-O2"
>setenv CPPFLAGS "-I/usr/include -I/usr/local/include"
>setenv LDFLAGS "-L/usr/local/lib"
>./configure --prefix=/usr/local/openLDAP_2.2.8 \
             --with-ldbm-api=gdbm \
checking for library containing regfree... none required
checking for compatible POSIX regex... no
configure: error: broken POSIX regex!

Any ideas how to fix this problem? Thanks.